# raytracing

Based on the series <a href="https://raytracing.github.io"><cite>Ray Tracing in One Weekend</cite></a>.

## Scenes

### squares
![](./docs/squares.png)

```
java -jar raytracing.jar --samples 500 --height 1200 SQUARES
```

### cornell box

![](./docs/cornell_smoke.png)

```
java -jar raytracing.jar --samples 50000 --height 1200 CORNELL
```

### cornell box with smoke

![](./docs/cornell_smoke.png)

```
java -jar raytracing.jar --samples 50000 --height 600 CORNELL_SMOKE
```